// Clones of Microchip USART support routines that do async IO without NULL's

#include <p18cxxx.h>
#include <usart.h>

/**********************************************************************
*    Function Name:  xputrsUSART                                      *
*    Return Value:   void                                             *
*    Parameters:     data: pointer to string of data                  *
*    Description:    This routine transmits a string of characters    *
*                    in ROM to the USART EXcluding the null.          *
**********************************************************************/
void xputrsUSART(const rom char *data)
{
  while(*data != '\0')
  {  
    while(BusyUSART());
    putcUSART(*data);
	*data++;
  }
}

/**********************************************************************
*    Function Name:  xputsUSART                                       *
*    Return Value:   void                                             *
*    Parameters:     data: pointer to string of data                  *
*    Description:    This routine transmits a string of characters    *
*                    in RAM to the USART EXcluding the null.          *
**********************************************************************/
void xputsUSART(char *data)
{
  while(*data != '\0')
  {  
    while(BusyUSART());
    putcUSART(*data);
	*data++;
  }
}
